Bug 1702672 - SELinux is preventing milter-greylist from 'read' accesses on the file unix.
Summary: SELinux is preventing milter-greylist from 'read' accesses on the file unix.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b1a0bc32914d70e3c74861e7a20...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-24 12:41 UTC by dan
Modified: 2019-05-01 01:49 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.14.2-57.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-01 01:49:27 UTC


Attachments (Terms of Use)

Description dan 2019-04-24 12:41:04 UTC
Description of problem:
New install of milter-greylist, noticed during initial journald check.
SELinux is preventing milter-greylist from 'read' accesses on the file unix.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that milter-greylist should be allowed read access on the unix file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'milter-greylist' --raw | audit2allow -M my-miltergreylist
# semodule -X 300 -i my-miltergreylist.pp

Additional Information:
Source Context                system_u:system_r:greylist_milter_t:s0
Target Context                system_u:object_r:proc_net_t:s0
Target Objects                unix [ file ]
Source                        milter-greylist
Source Path                   milter-greylist
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-51.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.0.5-200.fc29.x86_64 #1 SMP Wed
                              Mar 27 20:58:04 UTC 2019 x86_64 x86_64
Alert Count                   1
First Seen                    2019-04-24 08:18:31 EDT
Last Seen                     2019-04-24 08:18:31 EDT
Local ID                      e87302e1-d604-46b1-a2ad-35741b3aa9f2

Raw Audit Messages
type=AVC msg=audit(1556108311.965:31732): avc:  denied  { read } for  pid=1029 comm="milter-greylist" name="unix" dev="proc" ino=4026532056 scontext=system_u:system_r:greylist_milter_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file permissive=0


Hash: milter-greylist,greylist_milter_t,proc_net_t,file,read

Version-Release number of selected component:
selinux-policy-3.14.2-51.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.0
hashmarkername: setroubleshoot
kernel:         5.0.5-200.fc29.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-04-24 15:37:02 UTC
commit 3b7274d7b46510e1f7c6dc0782216e8231c1805a (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Wed Apr 24 17:36:35 2019 +0200

    Allow greylist_milter_t to read network system state BZ(1702672)

Comment 2 Fedora Update System 2019-04-28 14:53:36 UTC
selinux-policy-3.14.2-57.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ed5390f6d1

Comment 3 Fedora Update System 2019-04-29 04:09:18 UTC
selinux-policy-3.14.2-57.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ed5390f6d1

Comment 4 Fedora Update System 2019-05-01 01:49:27 UTC
selinux-policy-3.14.2-57.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.